package com.zcloud.domain.command;

import com.alibaba.cola.exception.BizException;
import com.zcloud.domain.domain.gateway.DomainGroupUserGateway;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;


/**
 * web-app
 *
 * @Author zhaokai
 * @Date 2026-01-27 11:29:43
 */
@Component
@AllArgsConstructor
public class DomainGroupUserRemoveExe {
    private final DomainGroupUserGateway domainGroupUserGateway;

    @Transactional(rollbackFor = Exception.class)
    public boolean execute(Long id) {
        boolean res = domainGroupUserGateway.deletedDomainGroupUserById(id);
        if (!res) {
            throw new BizException("删除失败");
        }
        return true;
    }

    @Transactional(rollbackFor = Exception.class)
    public boolean execute(Long[] ids) {
        boolean res = domainGroupUserGateway.deletedDomainGroupUserByIds(ids);
        if (!res) {
            throw new BizException("删除失败");
        }
        return true;
    }
}

